Subject: Mailman interface now HTTP instead of HTTPS?

From: Rob Austein <[email-masked]>
Date: Tue, 26 Feb 2008 16:26:00 -0500

[Apologies if this has already been discussed and I missed it, I was
 offline for over two weeks and am not yet completely caught up.]

Apparently, as part of the secretariat services transition, the web
interface to Mailman was moved from HTTPS to HTTP.  This seems like a
bad idea.